Subject: Re: [PATCH 1/1] apply --recount: allow "no-op hunks"

From: Josh Steadmon <[email-masked]>
Date: Mon, 12 Nov 2018 15:12:14 -0800

On 2018.11.12 12:54, Johannes Schindelin via GitGitGadget wrote:
> From: Johannes Schindelin <[email-masked]>
> 
> When editing patches e.g. in `git add -e`, it is quite common that a
> hunk ends up having no -/+ lines, i.e. it is now supposed to do nothing.
> 
> This use case was broken by ad6e8ed37bc1 (apply: reject a hunk that does
> not do anything, 2015-06-01) with the good intention of catching a very
> real, different issue in hand-edited patches.
> 
> So let's use the `--recount` option as the tell-tale whether the user
> would actually be okay with no-op hunks.
> 
> Add a test case to make sure that this use case does not regress again.
> 
> Signed-off-by: Johannes Schindelin <[email-masked]>

Looks good to me.

Reviewed-by: Josh Steadmon <[email-masked]>